Subject: Re: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Fri, 20 Nov 2015 13:37:22 -0800

>>>>> Maneesh Yadav <[email-masked]> writes:

> I was experiencing frequent 'freezing' after pressing 'Ctrl-g-g' (I think I
> have defaulted to pressing twice to make sure I've cancelled out of partial
> command, seeing "quit" makes me feel happier than "C-x C-g is undefined").

Only twice? I think my default right now is 10-20 times, just for that extra
satisfying feel.

> This doesn't seem completely repeatable (but I did just do it on my first
> try just now): I start 'emacs -Q' and Ctrl-x Ctrl-f to see a prompt in the
> minibuffer for a file and then Ctrl-g Ctrl-g then emacs freezes (does not
> respond to Ctrl-g or any keystrokes...I don't think I'm naively invoking an
> process control key binding (checked with stty-a).

I've experienced deadlocks in the past as well, although recently there have
been none. What else are you doing when this happens? Are you using tramp,
running any background processes, etc.?

John